Bug 252460 - yum lacks proxy setting directions
yum lacks proxy setting directions
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
7
i386 Linux
low Severity low
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-16 01:27 EDT by Alex Oboimov
Modified: 2014-01-21 17:59 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-13 14:58:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alex Oboimov 2007-08-16 01:27:06 EDT
Description of problem:
During installation I am invited to enter network settings, all but proxy
settings. Sitting behind corporate firewall I immediately experience problem
when adding alternative repositaries URLs - repo test fails.
Next, during firstboot I have an opportunity to enter my proxy server data but
these are never reflected in yum config (in Firefox properties neither).

Yum.conf file is misplaced. After copying it to /etc/yum/yum.conf I am ignorant
of necessity to maintain both copies.

Yum man page does not contain directions on proxy line syntax. Only by
hit-and-miss way I found it to be 
     proxy=http://proxy.server.com:3128 .


Version-Release number of selected component (if applicable):
yum 3.2.0

How reproducible:
Every f7 installation in LAN behind firewall 

Steps to Reproduce:
1.
2.
3.
  
Actual results:
proxy connection is not configured during installation. Yum configuration after
installation is non transparent.

Expected results:
Installation process is complemented with proxy connection settings. Yum man
page is appended

Additional info:
Comment 1 Alex Oboimov 2007-08-16 02:13:28 EDT
I mean yum.conf man page of course...
Comment 2 Jeremy Katz 2007-09-13 14:58:05 EDT
Proxy can also be set in yum.conf and this is specified in the man page

Note You need to log in before you can comment on or make changes to this bug.